Advertisement: Linux VPS for $4/month - based on OpenVZ, credit card accepted, automatic setup.
+ Post New Thread
Results 1 to 2 of 2

Thread: How to install X2Go on CentOS 6 ? says "Requires: pwgen"

  1. #1
    Fli
    Fli is offline
    Administrator Fli's Avatar
    Join Date
    Mar 2013
    Posts
    2,498

    How to install X2Go on CentOS 6 ? says "Requires: pwgen"



    How to install X2Go on CentOS server?

    I found its about setting up X2go repository file:
    wget -O /etc/yum.repos.d/x2go.repo http://packages.x2go.org/epel/x2go.repo

    then install:
    yum install x2goserver

    But it says:

    Error: Package: x2goserver-4.0.1.19-0.0x2go2.1.git20160126.1064.main.el6.x86_64 (x2go-release-epel)
    Requires: pwgen
    What is the way out? When "--skip-broken" is used, it is interupted with many problems: "Packages skipped because of dependency problems:"

  2. #2
    Junior Member imort's Avatar
    Join Date
    Apr 2016
    Posts
    15


    Is this useful / helpfull? Yes | No
    Quote Originally Posted by admin View Post
    But it says:

    Error: Package: x2goserver-4.0.1.19-0.0x2go2.1.git20160126.1064.main.el6.x86_64 (x2go-release-epel)
    Requires: pwgen
    All you need is to install 'pwgen' package on your server and then try to run 'yum install x2goserver' again.

    Try:
    yum install pwgen

+ Post New Thread

Similar Threads

  1. Replies: 0
    Last Post: 09-15-2017, 05:22 PM
  2. yum install: "Requires: python-subprocess32"
    By Fli in forum Linux Forums
    Replies: 1
    Last Post: 09-11-2017, 12:05 AM
  3. Replies: 0
    Last Post: 02-02-2015, 11:20 PM
  4. Replies: 0
    Last Post: 12-21-2014, 01:47 PM
  5. How to install "sensors" on linux to meter temperature?
    By Fli in forum Programming, scripting
    Replies: 0
    Last Post: 10-13-2013, 06:19 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
 Protected by : ZB BLOCK  &  StopForumSpam